古いSDKとの共存

環境


Appleから古いXcodeをインストール

古いSDKをインストールしたい場合、Xcodeの前バージョンをhttps://developer.apple.com/よりダウンロードしなければならない。

https://developer.apple.com/downloads/

f:id:hrt0kmt:20151105180650p:plain

デスクトップへ移動後リネームしてアプリケーションフォルダへ移動させる。


SDKフォルダのコピー

古いXcodeSDKを新しいXcodeSDKフォルダへコピーする。

f:id:hrt0kmt:20151105183954p:plain


xcodebuild -showsdksからSDKが増えていることを確認する。

% xcodebuild -showsdks
OS X SDKs:
    OS X 10.11                     -sdk macosx10.11

iOS SDKs:
    iOS 9.0                        -sdk iphoneos9.0

iOS Simulator SDKs:
    Simulator - iOS 7.0            -sdk iphonesimulator7.0
    Simulator - iOS 9.0            -sdk iphonesimulator9.0

watchOS SDKs:
    watchOS 2.0                    -sdk watchos2.0

watchOS Simulator SDKs:
    Simulator - watchOS 2.0        -sdk watchsimulator2.0


参考サイト

https://developer.apple.com/downloads/

http://qiita.com/y-ken/items/07973e14776c4a3288ca